<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus GSI Callback</title>
    <filename>main</filename>
  </compound>
  <compound kind="group">
    <name>globus_gsi_callback_activation</name>
    <title>Activation</title>
    <filename>group__globus__gsi__callback__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GSI_CALLBACK_MODULE</name>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_callback</name>
    <title>Callback Functions</title>
    <filename>group__globus__gsi__callback.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_X509_STORE_callback_data_index</name>
      <anchor>ga1</anchor>
      <arglist>(int *index)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_SSL_callback_data_index</name>
      <anchor>ga2</anchor>
      <arglist>(int *index)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gsi_callback_X509_verify_cert</name>
      <anchor>ga3</anchor>
      <arglist>(X509_STORE_CTX *context, void *arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gsi_callback_create_proxy_callback</name>
      <anchor>ga4</anchor>
      <arglist>(int preverify_ok, X509_STORE_CTX *x509_context)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gsi_callback_handshake_callback</name>
      <anchor>ga5</anchor>
      <arglist>(int preverify_ok, X509_STORE_CTX *x509_context)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gsi_callback_check_issued</name>
      <anchor>ga6</anchor>
      <arglist>(X509_STORE_CTX *context, X509 *cert, X509 *issuer)</arglist>
    </member>
    <member kind="typedef">
      <type>int(*</type>
      <name>globus_gsi_extension_callback_t</name>
      <anchor>ga0</anchor>
      <arglist>)(globus_gsi_callback_data_t callback_data, X509_EXTENSION *extension)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_callback_data</name>
    <title>Callback Data Functions</title>
    <filename>group__globus__gsi__callback__data.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_data_init</name>
      <anchor>ga1</anchor>
      <arglist>(globus_gsi_callback_data_t *callback_data)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_data_destroy</name>
      <anchor>ga2</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_data_copy</name>
      <anchor>ga3</anchor>
      <arglist>(globus_gsi_callback_data_t source, globus_gsi_callback_data_t *dest)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_cert_depth</name>
      <anchor>ga4</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, int *cert_depth)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_cert_depth</name>
      <anchor>ga5</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, int cert_depth)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_proxy_depth</name>
      <anchor>ga6</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, int *proxy_depth)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_proxy_depth</name>
      <anchor>ga7</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, int proxy_depth)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_cert_type</name>
      <anchor>ga8</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_gsi_cert_utils_cert_type_t *cert_type)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_cert_type</name>
      <anchor>ga9</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_gsi_cert_utils_cert_type_t cert_type)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_cert_chain</name>
      <anchor>ga10</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, STACK_OF(X509)**cert_chain)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_cert_chain</name>
      <anchor>ga11</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, STACK_OF(X509)*cert_chain)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_multiple_limited_proxy_ok</name>
      <anchor>ga12</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, int *multiple_limited_proxy_ok)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_multiple_limited_proxy_ok</name>
      <anchor>ga13</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, int multiple_limited_proxy_ok)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_extension_oids</name>
      <anchor>ga14</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, void **extension_oids)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_extension_oids</name>
      <anchor>ga15</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, void *extension_oids)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_cert_dir</name>
      <anchor>ga16</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, char **cert_dir)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_cert_dir</name>
      <anchor>ga17</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, char *cert_dir)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_extension_cb</name>
      <anchor>ga18</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_gsi_extension_callback_t *extension_cb)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_extension_cb</name>
      <anchor>ga19</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_gsi_extension_callback_t extension_cb)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_error</name>
      <anchor>ga20</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_result_t *error)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_error</name>
      <anchor>ga21</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_result_t error)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_check_policy_for_self_signed_certs</name>
      <anchor>ga22</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_bool_t *check)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_check_policy_for_self_signed_certs</name>
      <anchor>ga23</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_bool_t check)</arglist>
    </member>
    <member kind="typedef">
      <type>globus_l_gsi_callback_data_s *</type>
      <name>globus_gsi_callback_data_t</name>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_callback_constants</name>
    <title>GSI Callback Constants</title>
    <filename>group__globus__gsi__callback__constants.html</filename>
    <member kind="enumeration">
      <name>globus_gsi_callback_error_t</name>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_SUCCESS</name>
      <anchor>gga0a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_VERIFY_CRED</name>
      <anchor>gga0a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_CERT_NOT_YET_VALID</name>
      <anchor>gga0a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_CANT_GET_LOCAL_CA_CERT</name>
      <anchor>gga0a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_CERT_HAS_EXPIRED</name>
      <anchor>gga0a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_INVALID_PROXY</name>
      <anchor>gga0a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_LIMITED_PROXY</name>
      <anchor>gga0a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_INVALID_CRL</name>
      <anchor>gga0a10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_REVOKED_CERT</name>
      <anchor>gga0a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_MIXING_DIFFERENT_PROXY_TYPES</name>
      <anchor>gga0a12</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_WITH_SIGNING_POLICY</name>
      <anchor>gga0a13</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_OLD_GAA</name>
      <anchor>gga0a14</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_CALLBACK_DATA</name>
      <anchor>gga0a15</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_ERRNO</name>
      <anchor>gga0a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_CERT_CHAIN</name>
      <anchor>gga0a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_WITH_CALLBACK_DATA_INDEX</name>
      <anchor>gga0a18</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_PROXY_PATH_LENGTH_EXCEEDED</name>
      <anchor>gga0a19</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_LAST</name>
      <anchor>gga0a20</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
